/*--------------------------------------------------------------------------------------+
|
|  $Source: MstnExamples/Annotations/ModifyTextTool/ModifyTextToolcmd.r $
|
|  $Copyright: (c) 2016 Bentley Systems, Incorporated. All rights reserved. $
|
+--------------------------------------------------------------------------------------*/

/*----------------------------------------------------------------------+
| ModifyTextTool command resource                                    |
+-----------------------------------------------------------------------*/

/*----------------------------------------------------------------------+
|                                                                       |
|    Include Files                                                      |
|                                                                       |
+----------------------------------------------------------------------*/
#pragma         suppressREQCmds

#include        <Mstn/MdlApi/rscdefs.r.h>
#include        <Mstn/MdlApi/cmdclass.r.h>

#include        "ModifyTextToolIds.h"

/*----------------------------------------------------------------------+
|                                                                       |
|  Register Application and DLL                                         |
|                                                                       |
+----------------------------------------------------------------------*/
#define  DLLAPP_MODIFYTEXTTOOL        1

DllMdlApp DLLAPP_MODIFYTEXTTOOL =
    {
    L"CHANGETEXT", L"modifytexttool"          // taskid, dllName
    }

/*----------------------------------------------------------------------+
|                                                                       |
|   Immediate Defines                                                   |
|                                                                       |
+----------------------------------------------------------------------*/
enum CommandTableIds
{
	CT_NONE                     = 0,
	CT_MAIN,
};
/*----------------------------------------------------------------------+
|                                                                       |
|   Command Tables                                                      |
|                                                                       |
+----------------------------------------------------------------------*/
CommandTable   CT_MAIN =
{
{ 1, CT_NONE,       MANIPULATION,       NONE,       "CHANGECASE",        CMDNAME_ChangeCaseMdl },
{ 2, CT_NONE,       MANIPULATION,       NONE,       "CHANGETEXT",        CMDNAME_ChangeTextMdl },
};
